Subject: Re: Branches and all commits

From: Andreas Ericsson <[email-masked]>
Date: Mon, 19 Dec 2005 20:32:13 +0100

Jon Nelson wrote:
> On Mon, 19 Dec 2005, Andreas Ericsson wrote:
> 
>>>I suspect that the root cause was a 'git branch -D' I issued a while back.
>>>My question is this: if deleting a branch in that manner caused me to enter
>>>this situation, is that a bug or no?
>>
>>It's not a bug. You probably meant to do
>>
>>	$ git branch -d
>>
>>-D forces removal even if there are objects reachable only through that
>>branch. The man-page says so, but in git'ish, which isn't always intuitive
>>until you've grown familiar with the glossary.txt doc.
> 
> 
> I tried 'git branch -d' initially and it refused to delete the branch.
> So I tried 'git branch -D'.
> 
> Re-reading your last paragraph makes it clear what happened, then.
> I'll note that I ran 'git branch -D' *days* ago and I've run git-prune 
> literally a couple dozen times since then. Is it possible the objects 
> weren't removed because they were still referenced by tags?
> 

I suppose it must have been, which sort of contradicts how I thought 
tags worked. Lucky thing though, eh? :)

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231